/**
 * Copyright (c) 2015-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry.client.api.exception;

/**
 * The given topology does not exist in the Petals Registry Overlay cluster
 * @author Christophe DENEUX - Linagora
 *
 */
public class UnexistingTopologyException extends PetalsRegistryClientException {

    private static final long serialVersionUID = -3465996115221513398L;

    private static final String MESSAGE_PATTERN = "The given topology '%s' does not exist in the Petals Registry Overlay cluster.";

    /**
     * The unexisting topology identifier
     */
    private final String topologyId;

    /**
     * 
     * @param topologyId
     *            The unexisting topology identifier
     */
    public UnexistingTopologyException(final String topologyId) {
        super(String.format(MESSAGE_PATTERN, topologyId));
        this.topologyId = topologyId;
    }

    /**
     * @return The unexisting topology identifier
     */
    public String getTopologyId() {
        return topologyId;
    }

}
